%global moduledir %(pkg-config xorg-server --variable=moduledir )

Name:           xorg-x11-drv-wacom
Version:        1.2.0
Release:        1
License:        GPLv2+
Summary:        Xorg X11 wacom input driver
URL:            https://www.x.org
Source0:        https://github.com/linuxwacom/xf86-input-wacom/releases/download/xf86-input-wacom-%{version}/xf86-input-wacom-%{version}.tar.bz2

BuildRequires:  xorg-x11-server-devel xorg-x11-util-macros
BuildRequires:  libX11-devel libXi-devel libXrandr-devel libXinerama-devel
BuildRequires:  autoconf automake libtool systemd systemd-devel

Requires:       Xorg %(xserver-sdk-abi-requires ansic) Xorg %(xserver-sdk-abi-requires xinput) xorg-x11-drv-wacom-serial-support

Provides:       linuxwacom = %{version}-%{release}
Obsoletes:      linuxwacom <= 0.8.4.3
Provides:       %{name}-serial-support
Obsoletes:      %{name}-serial-support

%description
X.Org X11 wacom input driver for Wacom tablets.

%package        devel
Summary:        Xorg X11 wacom input driver development package
Requires:       xorg-x11-server-devel >= 1.7.0 pkgconfig

%description    devel
X.Org X11 wacom input driver development files.

%package_help

%prep
%autosetup -n xf86-input-wacom-%{version} -p1

%build
autoreconf -ivf || exit 1
%configure --disable-silent-rules --enable-debug --with-systemd-unit-dir=%{_unitdir} \
           --with-udev-rules-dir=%{_prefix}/lib/udev/rules.d/

%make_build

%install
%make_install
%delete_la
mv %{buildroot}/%{_prefix}/lib/udev/rules.d/wacom.rules %{buildroot}/%{_prefix}/lib/udev/rules.d/70-wacom.rules

%check
make test

%files
%defattr(-,root,root)
%doc AUTHORS
%license GPL
%{_datadir}/X11/xorg.conf.d/70-wacom.conf
%{_prefix}/lib/udev/rules.d/70-wacom.rules
%{_unitdir}/wacom-inputattach@.service
%{_bindir}/isdv4-serial-inputattach
%{_bindir}/xsetwacom
%{moduledir}/input/wacom_drv.so

%files  devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_bindir}/isdv4-serial-debugger
%{_includedir}/xorg/*.h

%files  help
%defattr(-,root,root)
%doc ChangeLog
%{_mandir}/man4/wacom.4*
%{_mandir}/man1/xsetwacom.1*

%changelog
* Fri Jul 14 2023 zhangpan <zhangpan103@h-partners.com> - 1.2.0-1
- upgrade to 1.2.0

* Wed Oct 26 2022 wangkerong <wangkerong@h-partners.com> - 1.1.0-1
- upgrade to 1.1.0

* Sat Nov 27 2021 yangcheng <yangcheng87@huawei.com> - 0.40.0-1
- upgrade to 0.40.0

* Sat Jan 30 2021 jinzhimin <jinzhimin2@huawei.com> - 0.39.0-1
- upgrade to 0.39.0

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.36.1-6
- Package init
